
echo "Testing for JDK ..."
javac -version >/dev/null 2>&1 
status=$?

if [ $status != 0 ] ; then
    echo "... Unable to find 'javac' on PATH" 1>&2
    echo "... => Unable to compile The Macroniser source code" 1>&2
else
    echo "... OK"
    echo "Adding 'ant' to PATH"
    export PATH=`pwd`/ant/bin:$PATH
    echo ""
    echo ">>> Deployment Instructions"
    echo "1. Update the CORS filter in src/main/webapp/WEB-INF/web.xml to utilise Jetty's filter."
    echo "2. Run 'ant package' to produce a WAR file."
    echo "3. Deploy the WAR to Jetty."
fi
